RHEL Linux x64 7.x ESP agent 11.3.7 install fails

Document ID : KB000091807
Last Modified Date : 16/11/2018
Show Technical Document Details
Issue:
agent installation failed with error message: JRE libraries are missing or not compatible.... Install documentation for 11.3.7 does not specify JRE pre-requisites for RHEL Linux x64 7.x. what are we missing?
Resolution:
While its routine, the agent's installer uses system /tmp to deploy temporary files and to launch the jre.
It creates the /tmp/install.dir.<PID> directory, with the ../Linux/resource directory, containing the jre. 
For example,
/tmp/install.dir.31218/Linux/resource 
with
drwxr-xr-x 6 root root 211 Sep 23 2016 jre 
-rw-r--r-- 1 root root 200069120 Apr 16 12:34 vm.tar 

Check, if you could run "jre/bin/java -version";  if it shows 'permission denied' error, most likely it would mean that the /tmp itself prevents java from running, and, in turn, the agent's installer throws the error about jre libraries.

One of the reason could be that the /tmp was mounted with the 'noexec' option.
Hence, you might either re-mount the partition with no 'noexec', or to redefine the IATEMPDIR variable to point one to the local filesystem, e.g.

IATEMPDIR=/apps/esp 
export IATEMPDIR

Set this variable prior starting the setup.bin